Difference between revisions of "Arch Frame/ro"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "== Scrip-Programare ==")
 
(30 intermediate revisions by 6 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{GuiCommand|Name=Arch Frame|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Frame|Shortcut=F R}}
+
<div class="mw-translate-fuzzy">
 +
{{docnav/ro|[[Arch_Nest|Nest]]|[[Arch_Fence|Fence]]|[[Arch_Workbench/ro|Arch]]|IconL=Arch_Nest.svg |IconC=Workbench_Arch.svg |IconR=Arch_Fence.svg}}
 +
</div>
 +
 
 +
<div class="mw-translate-fuzzy">
 +
{{GuiCommand/ro
 +
|Name=Arch Frame
 +
|MenuLocation=Arch → Frame
 +
|Workbenches=[[Arch_Workbench|Arch]]
 +
|Shortcut={{KEY|F}} {{KEY|R}}
 +
|SeeAlso=[[Arch Wall]], [[Arch Structure]]
 +
}}
 +
</div>
  
 
==Descriere==
 
==Descriere==
  
Instrumentul cadru este folosit pentru a construi toate tipurile de obiecte cadru. Profilul este extrudat, cum ar fi [[Sketcher Module | sketch]] sau un [[Draft Module | draft object]]. Este deosebit de util să se creeze balustrade sau pereți de rame. Obiectele de cadru pot fi apoi transformate în obiecte [[Arch Wall|wall]] sau
+
<div class="mw-translate-fuzzy">
  [[Arch Structure|structure]] .
+
Instrumentul de cadru/dulgherie este utilizat pentru a construi toate tipurile de obiecte de tâmplărie pe baza unui profil și a unei căi. Profilul este extrudat de-a lungul liniilor căii care poate consta din orice obiect 2D, de exemplu dintr-un [[Sketcher_Workbench/it|sketch]] sau dintr-un [[Draft_Workbench|draft object]]. Este deosebit de util pentru crearea de balustrade sau ziduri de tamplarie. Obiectele de dulgherie pot fi transformate cu ușurință în obiecte [[Arch_Wall|wall]] sau
 +
  [[Arch_Structure|structure]] ..
 +
</div>
  
 
[[Image:Arch Frame example.jpg|640px]]
 
[[Image:Arch Frame example.jpg|640px]]
 +
<div class="mw-translate-fuzzy">
 +
''În imaginea de mai sus, un [[Draft Line|line]] a fost transformat într-un [[Draft Array|array]] și un obiect cadru a fost făcut utilizând matricele ca aspect și un [[Draft Circle|circle]]ca profil.''
 +
</div>
  
În imaginea de mai sus, un [[Draft Line|line]] a fost transformat într-un [[Array array | array]] și un obiect cadru a fost făcut utilizând matricele ca aspect și un [[Draft Circle|circle]]ca profil.
+
<div class="mw-translate-fuzzy">
 
 
 
== Cum se folosește ==
 
== Cum se folosește ==
 +
</div>
  
# Creați un obiect de aspect și un obiect de profil, de exemplu cu [[Workbench Draft]] sau [[Sketcher Workbench]]
+
<div class="mw-translate-fuzzy">
# Selectați mai întâi obiectul layout, apoi cu {{KEY|CTRL}} apăsat, selectați obiectul profil
+
# Creați un aspect al unui obiect și profilul unui un obiect, de exemplu cu [[Draft Workbench]] sau [[Sketcher Workbench]]
 +
# Selectați primul obiect în aspect, apoi țineți apăsată tasta {{KEY | CTRL}} și selectați obiectul care urmează a fi profilat
 
# Apăsați butonul {{KEY|[[Image:Arch Frame.png|16px]] [[Arch Frame]]}}, sau apăsați tastele în ordine {{KEY|F}} apoi {{KEY|R}}
 
# Apăsați butonul {{KEY|[[Image:Arch Frame.png|16px]] [[Arch Frame]]}}, sau apăsați tastele în ordine {{KEY|F}} apoi {{KEY|R}}
 +
</div>
  
 
== Opţiuni ==
 
== Opţiuni ==
  
* Frames share the common properties and behaviours of all [[Arch Component|Arch Components]]
+
<div class="mw-translate-fuzzy">
* The frame object can be placed at a certain distance from the layout object, by setting its Offset property
+
* Articolele de tâmplărie/Frames partajează proprietățile și comportamentele comune ale tuturor componentelor [[Arch Component | Arc Components]]
* The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.
+
* Prin setarea proprietății Offset, obiectul de dulgherie poate fi poziționat la distanța dorită de obiectul urmărit.
 +
* Profilul va fi copiat la baza fiecărei margini a obiectului de aspect, apoi extrudat de-a lungul acestuia. Puteți controla modul în care profilul este plasat la baza fiecărei margini cu proprietățile Align and Rotation.
 +
</div>
  
 
==Proprietăți==
 
==Proprietăți==
Line 31: Line 52:
 
* {{PropertyData|Rotation}}: The rotation of the profile around its extrusion axis.
 
* {{PropertyData|Rotation}}: The rotation of the profile around its extrusion axis.
  
 +
<div class="mw-translate-fuzzy">
 
== Scrip-Programare ==
 
== Scrip-Programare ==
 +
</div>
  
The Frame tool can by used in [[macros]] and from the python console by using the following function:
+
<div class="mw-translate-fuzzy">
 
+
Instrumentul Frame poate fi utilizat în [[macros]] și de la consola python utilizând următoarele funcții:
 +
</div>
 
{{Code|code=
 
{{Code|code=
makeFrame ( layout,profile )
+
Frame = makeFrame(baseobj, profile)
 
}}
 
}}
  
* Creates a frame object from a base sketch (or any other object containing wires) and a profile object (an extrudable 2D object containing faces or closed wires)
+
<div class="mw-translate-fuzzy">
* Returns the new frame object, or None if the operation failed.
+
* Creează un obiect cadru dintr-o schiță de bază (sau orice alt obiect care conține fire) și un obiect profil (un obiect extrudabil 2D care conține fețe sau fire închise)
 
+
* Returnează noul obiect cadru sau Niciunul dacă operația a eșuat.
Example:
+
</div>
  
 +
Exempluː
 
{{Code|code=
 
{{Code|code=
 
import Draft, Arch
 
import Draft, Arch
layout = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
+
 
profile = Draft.makeCircle(.2)
+
Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
Arch.makeFrame(layout,profile)
+
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)
 +
 
 +
profile = Draft.makeCircle(200)
 +
Frame = Arch.makeFrame(baseobj, profile)
 +
FreeCAD.ActiveDocument.recompute()
 
}}
 
}}
 +
 +
<div class="mw-translate-fuzzy">
 +
{{docnav/ro|[[Arch_Nest|Nest]]|[[Arch_Fence|Fence]]|[[Arch_Workbench|Arch]]|IconL=Arch_Nest.svg |IconC=Workbench_Arch.svg |IconR=Arch_Fence.svg}}
 +
</div>
 +
 +
{{Arch Tools navi{{#translation:}}}}
 +
 +
{{Userdocnavi{{#translation:}}}}

Latest revision as of 19:11, 29 August 2021

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська
Arrow-left.svg Anteriorul: Arch Nest.svg Nest
Urmeaza: Fence Arch Fence.svg Arrow-right.svg

Arch Frame.svg {{{Name/ro}}}

poziția meniului
Arch → Frame
Ateliere
Arch
scurtătură
F R
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Wall, Arch Structure

Descriere

Instrumentul de cadru/dulgherie este utilizat pentru a construi toate tipurile de obiecte de tâmplărie pe baza unui profil și a unei căi. Profilul este extrudat de-a lungul liniilor căii care poate consta din orice obiect 2D, de exemplu dintr-un sketch sau dintr-un draft object. Este deosebit de util pentru crearea de balustrade sau ziduri de tamplarie. Obiectele de dulgherie pot fi transformate cu ușurință în obiecte wall sau

structure ..

Arch Frame example.jpg

În imaginea de mai sus, un line a fost transformat într-un array și un obiect cadru a fost făcut utilizând matricele ca aspect și un circleca profil.

Cum se folosește

  1. Creați un aspect al unui obiect și profilul unui un obiect, de exemplu cu Draft Workbench sau Sketcher Workbench
  2. Selectați primul obiect în aspect, apoi țineți apăsată tasta CTRL și selectați obiectul care urmează a fi profilat
  3. Apăsați butonul Arch Frame.png Arch Frame, sau apăsați tastele în ordine F apoi R

Opţiuni

  • Articolele de tâmplărie/Frames partajează proprietățile și comportamentele comune ale tuturor componentelor Arc Components
  • Prin setarea proprietății Offset, obiectul de dulgherie poate fi poziționat la distanța dorită de obiectul urmărit.
  • Profilul va fi copiat la baza fiecărei margini a obiectului de aspect, apoi extrudat de-a lungul acestuia. Puteți controla modul în care profilul este plasat la baza fiecărei margini cu proprietățile Align and Rotation.

Proprietăți

  • DateBase: The layout this frame is based on.
  • DateProfile: The profile this frame is based on.
  • DateAlign: Specifies if the profile must be rotated to have its normal axis aligned with each edge.
  • DateOffset: An optional distance between the layout object and the frame object.
  • DateRotation: The rotation of the profile around its extrusion axis.

Scrip-Programare

Instrumentul Frame poate fi utilizat în macros și de la consola python utilizând următoarele funcții:

Frame = makeFrame(baseobj, profile)
  • Creează un obiect cadru dintr-o schiță de bază (sau orice alt obiect care conține fire) și un obiect profil (un obiect extrudabil 2D care conține fețe sau fire închise)
  • Returnează noul obiect cadru sau Niciunul dacă operația a eșuat.

Exempluː

import Draft, Arch

Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)

profile = Draft.makeCircle(200)
Frame = Arch.makeFrame(baseobj, profile)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Anteriorul: Arch Nest.svg Nest
Urmeaza: Fence Arch Fence.svg Arrow-right.svg